org.appng.appngizer.model.xml

## Class Application

- java.lang.Object
- - org.appng.appngizer.model.xml.Linkable
  - - org.appng.appngizer.model.xml.Nameable
    - - org.appng.appngizer.model.xml.Application

- Direct Known Subclasses:
    Application

      public class Application
      extends Nameable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <extension base="{http://www.appng.org/schema/appngizer}nameable">
             <sequence>
               <element name="displayName" type="{http://www.appng.org/schema/appngizer}stringNotBlank"/>
               <element name="privileged" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
               <element name="fileBased" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
               <element name="hidden" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
               <element name="version" type="{http://www.appng.org/schema/appngizer}stringNotBlank"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `displayName`
    `protected boolean` | `fileBased`
    `protected boolean` | `hidden`
    `protected boolean` | `privileged`
    `protected String` | `version`

    - ### Fields inherited from class org.appng.appngizer.model.xml.Nameable

      `name`

    - ### Fields inherited from class org.appng.appngizer.model.xml.Linkable

      `links, self`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Application()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDisplayName()` Gets the value of the displayName property.
    `String` | `getVersion()` Gets the value of the version property.
    `boolean` | `isFileBased()` Gets the value of the fileBased property.
    `boolean` | `isHidden()` Gets the value of the hidden property.
    `boolean` | `isPrivileged()` Gets the value of the privileged property.
    `void` | `setDisplayName(String value)` Sets the value of the displayName property.
    `void` | `setFileBased(boolean value)` Sets the value of the fileBased property.
    `void` | `setHidden(boolean value)` Sets the value of the hidden property.
    `void` | `setPrivileged(boolean value)` Sets the value of the privileged property.
    `void` | `setVersion(String value)` Sets the value of the version property.

    - ### Methods inherited from class org.appng.appngizer.model.xml.Nameable

      `getName, setName`

    - ### Methods inherited from class org.appng.appngizer.model.xml.Linkable

      `getLinks, getSelf, setLinks, setSelf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### displayName

          protected String displayName

    - #### privileged

          protected boolean privileged

    - #### fileBased

          protected boolean fileBased

    - #### hidden

          protected boolean hidden

    - #### version

          protected String version

  - ### Constructor Detail

    - #### Application

          public Application()

  - ### Method Detail

    - #### getDisplayName

          public String getDisplayName()

      Gets the value of the displayName property.
      Returns:
        possible object is `String`

    - #### setDisplayName

          public void setDisplayName(String value)

      Sets the value of the displayName property.
      Parameters:
        `value` - allowed object is `String`

    - #### isPrivileged

          public boolean isPrivileged()

      Gets the value of the privileged property.

    - #### setPrivileged

          public void setPrivileged(boolean value)

      Sets the value of the privileged property.

    - #### isFileBased

          public boolean isFileBased()

      Gets the value of the fileBased property.

    - #### setFileBased

          public void setFileBased(boolean value)

      Sets the value of the fileBased property.

    - #### isHidden

          public boolean isHidden()

      Gets the value of the hidden property.

    - #### setHidden

          public void setHidden(boolean value)

      Sets the value of the hidden property.

    - #### getVersion

          public String getVersion()

      Gets the value of the version property.
      Returns:
        possible object is `String`

    - #### setVersion

          public void setVersion(String value)

      Sets the value of the version property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.